{{#if this.email}}
  <div class="mt-5 profile-group avatar-group">
    <h5>{{t "admin.email"}}</h5>
    <span class="user-email">
      {{this.email}}
    </span>
  </div>
{{/if}}

<div class="mt-5 profile-group avatar-group" {{did-insert this.setup}}>
  <h3>{{t "admin.public-avatar"}}<span class="text-info">*</span></h3>
  <p>{{t "admin.profile-public-avatar-message"}}</p>

  <Input::PictureAuto @disable365={{true}} @createImage={{@createImage}} @value={{@profile.picture}}
    @save={{this.updatePicture}} @model="UserProfile" @modelId={{@profile.id}} />
</div>

<div class="mt-5 profile-group status-group">
  <h3>{{t "admin.current-status"}}</h3>
  <p>{{t "admin.profile-current-status-message"}}</p>

  <div class="mb-3">
    <label for="InputStatusMessage">{{capitalize (t "status message")}}</label>
    <Input class="form-control input-status-message" id="InputStatusMessage" @value={{@profile.statusMessage}}
      placeholder={{t "admin.whats-your-status"}} />
  </div>

  <div class="input-group">
    <span class="input-group-text">
      <FaIcon @icon={{@profile.statusEmoji}} />
    </span>

    <Input @value={{@profile.statusEmoji}} id="status-emoji" @type="text" class="form-control"
      placeholder={{t "admin.whats-icon-name"}} />
  </div>

  <small class="form-text text-muted">
    <a target="_blank" rel="noreferrer noopener" href="https://fontawesome.com/icons?d=gallery&m=free">
      {{t "admin.font-awesome-message"}}
    </a>
  </small>
</div>

<div class="mt-5 profile-group main-settings-group">
  <h3>{{t "admin.main-settings"}}</h3>
  <p>{{t "admin.profile-main-settings-message"}}</p>

  <div class="form-check form-switch form-switch mb-4">
    <Input class="form-check-input input-show-private-contributions" id="ShowContributionsCalendar"
      @checked={{@profile.showCalendarContributions}} @type="checkbox" />

    <label class="form-check-label"
      for="ShowContributionsCalendar">{{capitalize (t "show the contributions calendar")}}</label>
  </div>

  <div class="form-check form-switch mb-4">
    <Input class="form-check-input input-show-private-contributions" id="ShowPrivateContributions"
      @checked={{@profile.showPrivateContributions}} @type="checkbox" />

    <label class="form-check-label"
      for="ShowPrivateContributions">{{capitalize (t "show private contributions")}}</label>
  </div>

  <div class="mb-3">
    <Input::UserName @onChange={{this.handleNameChange}} @value={{this.name}} />
    <div class="feedback text-secondary">{{capitalize (t "feedback-full-name")}}</div>
  </div>

  <div class="mb-3">
    <label for="InputSkype">{{capitalize (t "skype")}}</label>
    <Input class="form-control input-skype" id="InputSkype" @value={{@profile.skype}}
      placeholder={{t "admin.whats-your-skype-name"}} />
  </div>

  <div class="mb-3">
    <label for="InputLinkedin">{{capitalize (t "linkedin")}}</label>
    <Input class="form-control input-linkedin" id="InputLinkedin" @value={{@profile.linkedin}}
      placeholder={{t "admin.whats-your-linkedin-name"}} />
    <div class="feedback text-secondary">{{capitalize (t "feedback-linkedin")}}</div>
  </div>

  <div class="mb-3">
    <label for="InputTwitter">Twitter</label>
    <Input class="form-control input-twitter" id="InputTwitter" @value={{@profile.twitter}}
      placeholder={{t "admin.whats-your-twitter-handler"}} />
  </div>

  <div class="mb-3">
    <label for="InputWebsite">{{capitalize (t "website url")}}</label>
    <Input class="form-control input-website" id="InputWebsite" @value={{@profile.website}}
      placeholder={{t "admin.whats-your-website-url"}} />
  </div>

  {{#if @detailedLocation}}
    <Input::DetailedLocation @value={{@profile.location.detailedLocation}} @onChange={{this.changeDetailedLocation}}
      class="mb-3" />
  {{else}}
    <div class="mb-3">
      <label for="InputLocation">{{capitalize (t "Location")}}</label>
      <Input class="form-control input-location" id="InputLocation" @value={{this.simpleLocation}}
        placeholder={{t "Where are you located?"}} />
    </div>
  {{/if}}

  <div class="mb-3">
    <label for="InputJobTitle">{{capitalize (t "job title")}}</label>
    <Input class="form-control input-job-title" id="InputJobTitle" @value={{@profile.jobTitle}}
      placeholder={{t "What is your job title?"}} />
  </div>

  <div class="mb-3">
    <label for="InputOrganization">{{capitalize (t "organization")}}</label>
    <Input class="form-control input-job-title" id="InputOrganization" @value={{@profile.organization}} />
    <div class="feedback text-secondary">{{capitalize (t "feedback-organization")}}</div>
  </div>

  <div class="mb-3">
    <label for="InputBio">{{capitalize (t "bio")}} <span class="text-info">*</span></label>
    {{!-- template-lint-disable require-input-label --}}
    <Textarea class="form-control" @value={{@profile.bio}} />
    <div class="feedback text-secondary">{{capitalize (t "feedback-bio")}}</div>
  </div>
</div>

<Input::Button class="btn btn-primary btn-profile-update" @action={{this.update}}
  @disabled={{not @profile.hasDirtyAttributes}}>
  {{t "admin.update"}}
</Input::Button>